FLAKE8(1)

NAME
flake8 - code checker using pep8 and pyflakes

SYNOPSIS
flake8 [options] input ...

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    print status messages, or debug with -vv

-q, --quiet
    report only file names, or nothing with -qq

--first
    show first occurrence of each error

--exclude=patterns
    exclude files or directories which match these comma separated patterns (default: .svn,CVS,.bzr,.hg,.git,__pycache__)

--filename=patterns
    when parsing directories, only check filenames matching these comma separated patterns (default: *.py)

--select=errors
    select errors and warnings (e.g. E,W6)

--ignore=errors
    skip errors and warnings (e.g. E4,W)

--show-source
    show source code for each error

--show-pep8
    show text of PEP 8 for each error (implies --first)

--statistics
    count errors and warnings

--count
    print total number of errors and warnings to standard error and set exit code to 1 if total is not null

--max-line-length=n
    set maximum allowed line length (default: 79)

--hang-closing
    hang closing bracket instead of matching indentation of opening bracket's line

--format=format
    set the error format [default|pylint|<custom>]

--diff
    report only lines changed according to the unified diff received on STDIN

--exit-zero
    exit with code 0 even if there are errors

--max-complexity=MAX_COMPLEXITY
    McCabe complexity threshold

--builtins=BUILTINS
    define more built-ins, comma separated

--install-hook
    Install the appropriate hook for this repository.

    Testing Options:

--benchmark
    measure processing speed

    Configuration:

    The project options are read from the [flake8] section of the tox.ini file or the setup.cfg file located in any parent folder of the path(s) being processed. Allowed options are: exclude, filename, select, ignore, max-line-length, hang-closing, count, format, quiet, showpep8, show-source, statistics, verbose, max-complexity, builtins.

--config=path
    user config file location (default: ~/.config/flake8)